Restore an account
account.restore(strid, AccountRestoreParams**kwargs) -> AccountRestoreResponse
POST/v1/accounts/{id}/restore
Restores a trashed account, bringing it back to active. Find trashed accounts via GET /v1/accounts?status=trashed.
Calling restore on an account that is not trashed is a no-op and returns the existing record.
Required scope: accounts:restore
Rate limit category: Write
Restore an account
from lightfield import Lightfield
client = Lightfield(
api_key="My API Key",
)
account_restore_response = client.account.restore(
id="id",
)
print(account_restore_response.id){
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}